unit DOS;

//  DOS Unit for DELPHI 32 bits
//  Copyright (C) 1998 - Pasquale Morvillo
//  Interface to PASW32.DLL

interface
{$H-}
uses System32, Windows;

{$I DOS.INC}

var
     DosError: Integer;

function  DosVersion: Integer;    //return OS version
procedure GetDate(var Year,Month,Day,DayOfWeek: Word);
procedure SetDate(Year,Month,Day: Word);
procedure GetTime(var Hour,Minute,Second,Sec100: Word);
procedure SetTime(Hour,Minute,Second,Sec100: Word);
procedure GetCBreak(var Break: Boolean);
procedure SetCBreak(Break: Boolean);
procedure GetVerify(var Verify: Boolean);
procedure SetVerify(Verify: Boolean);
// in diskfree and disksize the return value is comp
// and not longint for compatibility with partitions
// grater than 2Gb
function  DiskFree(Drive: Byte): Comp;
function  DiskSize(Drive: Byte): Comp;
procedure GetFAttr(var F; var Attr: Word);
procedure SetFAttr(var F; Attr: Word);
procedure GetFTime(var F; var Time: Longint);
procedure SetFTime(var F; Time: Longint);
procedure FindFirst(Path: PathStr; Attr: Word; var F: SearchRec);
procedure FindNext(var F: SearchRec);
procedure UnpackTime(P: Longint; var T: DateTime);
procedure PackTime(var T: DateTime; var P: Longint);
procedure SwapVectors;
procedure Keep(ExitCode: Word);
procedure Exec(Path: PathStr; ComLine: ComStr);
function  DosExitCode: Word;
function  FSearch(Path: PathStr; DirList: String): PathStr;
function  FExpand(Path: PathStr): PathStr;
procedure FSplit(Path: PathStr; var Dir: DirStr; var Name: NameStr; var Ext: ExtStr);
function  EnvCount: Integer;
function  EnvStr(Index: Integer): String;
function  GetEnv(EnvVar: String): String;

implementation

function  DosVersion: Integer;    //return OS version
          external DLLname name 'DosVersion';
procedure GetDate(var Year,Month,Day,DayOfWeek: Word);
          external DLLname name 'GetDate';
procedure SetDate(Year,Month,Day: Word);
          external DLLname name 'SetDate';
procedure GetTime(var Hour,Minute,Second,Sec100: Word);
          external DLLname name 'GetTime';
procedure SetTime(Hour,Minute,Second,Sec100: Word);
          external DLLname name 'SetTime';
procedure GetCBreak(var Break: Boolean);
          external DLLname name 'GetCBreak';
procedure SetCBreak(Break: Boolean);
          external DLLname name 'SetCBreak';
procedure GetVerify(var Verify: Boolean);
          external DLLname name 'GetVerify';
procedure SetVerify(Verify: Boolean);
          external DLLname name 'SetVerify';
// in diskfree and disksize the return value is comp
// and not longint for compatibility with partitions
// grater than 2Gb
function  DiskFree(Drive: Byte): Comp;
          external DLLname name 'DiskFree';
function  DiskSize(Drive: Byte): Comp;
          external DLLname name 'DiskSize';
procedure GetFAttr(var F; var Attr: Word);
          external DLLname name 'GetFAttr';
procedure SetFAttr(var F; Attr: Word);
          external DLLname name 'SetFAttr';
procedure GetFTime(var F; var Time: Longint);
          external DLLname name 'GetFTime';
procedure SetFTime(var F; Time: Longint);
          external DLLname name 'SetFTime';
procedure FindFirst(Path: PathStr; Attr: Word; var F: SearchRec);
          external DLLname name 'FindFirst';
procedure FindNext(var F: SearchRec);
          external DLLname name 'FindNext';
procedure UnpackTime(P: Longint; var T: DateTime);
          external DLLname name 'UnpackTime';
procedure PackTime(var T: DateTime; var P: Longint);
          external DLLname name 'PackTime';
procedure SwapVectors;
          external DLLname name 'SwapVectors';
procedure Keep(ExitCode: Word);
          external DLLname name 'Keep';
procedure Exec(Path: PathStr; ComLine: ComStr);
          external DLLname name 'Exec';
function  DosExitCode: Word;
          external DLLname name 'DosExitCode';
function  FSearch(Path: PathStr; DirList: String): PathStr;
          external DLLname name 'FSearch';
function  FExpand(Path: PathStr): PathStr;
          external DLLname name 'FExpand';
procedure FSplit(Path: PathStr; var Dir: DirStr; var Name: NameStr; var Ext: ExtStr);
          external DLLname name 'FSplit';
function  EnvCount: Integer;
          external DLLname name 'EnvCount';
function  EnvStr(Index: Integer): String;
          external DLLname name 'EnvStr';
function  GetEnv(EnvVar: String): String;
          external DLLname name 'GetEnv';
procedure InitDosW32(pDE: pointer);
          external DLLname name 'InitDosW32';

begin
     InitDosW32(@DosError);
end.
